Package twisted :: Package internet :: Module gtkreactor

[show private | hide private]
[frames | no frames]

## Module twisted.internet.gtkreactor

This module provides support for Twisted to interact with the PyGTK mainloop.

In order to use this support, simply do the following:

       |  from twisted.internet import gtkreactor
       |  gtkreactor.install()

Then use twisted.internet APIs as usual. The other methods here are not intended to be called directly.

API Stability: stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`GtkReactor` | GTK+ event loop reactor.
`PortableGtkReactor` | Reactor that works on Windows.

Function Summary
| ``install`()` Configure the twisted mainloop to be run inside the gtk mainloop.
| ``portableInstall`()` Configure the twisted mainloop to be run inside the gtk mainloop.

Variable Summary
`FakeModule` | `gtk`
`builtin_function_or_method` | `has_key`
`builtin_function_or_method` | `has_key`
`FakeModule` | `pygtk`
`dictionary` | `reads`
`dictionary` | `writes`
`None` | `_simtag`

Function Details

### install()

Configure the twisted mainloop to be run inside the gtk mainloop.

### portableInstall()

Configure the twisted mainloop to be run inside the gtk mainloop.

Variable Details

### gtk

  Type:
    `FakeModule`
  Value:

        <Fake gtk>

### has_key

`has_key` = `types.DictionaryType.has_key`

  Type:
    `builtin_function_or_method`
  Value:

        <built-in method has_key of dictionary object at 0x8212594>

### has_key

`has_key` = `types.DictionaryType.has_key`

  Type:
    `builtin_function_or_method`
  Value:

        <built-in method has_key of dictionary object at 0x8212564>

### pygtk

  Type:
    `FakeModule`
  Value:

        <Fake pygtk>

### reads

  Type:
    `dictionary`
  Value:

        {<twisted.internet.default._UnixWaker instance at 0x81e9c54>: 1,
         <twisted.internet.default._UnixWaker instance at 0x8581ed4>: None,
         <twisted.internet.default._UnixWaker instance at 0x85f459c>: None}

### writes

  Type:
    `dictionary`
  Value:

        {}

### _simtag

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:19:04 2003 | http://epydoc.sf.net